Bug 735118 - error: implicit declaration of function 'tracehook_consider_fatal_signal'
Summary: error: implicit declaration of function 'tracehook_consider_fatal_signal'
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Oleg Nesterov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 14:39 UTC by Dan Horák
Modified: 2011-09-12 03:42 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-09-02 15:25:56 UTC


Attachments (Terms of Use)

Description Dan Horák 2011-09-01 14:39:14 UTC
kernel-3.1.0-0.rc4.git0.0.fc16 fails to build on F-16/s390x with this error in build.log:

+ make -s ARCH=s390 V=1 -j4 image
arch/s390/kernel/traps.c: In function 'do_per_trap':
arch/s390/kernel/traps.c:332:2: error: implicit declaration of function 'tracehook_consider_fatal_signal' [-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
make[2]: *** [arch/s390/kernel/traps.o] Error 1

for full log please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=451805

and for access to Fedora/s390x machine ping me

Comment 1 Oleg Nesterov 2011-09-01 15:36:58 UTC
strange.... this tracehook was removed in v3.0-rc1 by
a288eecce5253cc1565d, and arch/s390/kernel/traps.c was
updated.

I'll try to look at fc kernel sources. once I find them ;)

Comment 2 Dan Horák 2011-09-01 15:46:11 UTC
(In reply to comment #1)
> strange.... this tracehook was removed in v3.0-rc1 by
> a288eecce5253cc1565d, and arch/s390/kernel/traps.c was
> updated.
> 
> I'll try to look at fc kernel sources. once I find them ;)

yum install fedora-packager
fedpkg co -a kernel
cd kernel; git checkout f16

should work on both Fedora and RHEL with EPEL enabled

And I'm dhorak on internal IRC, sharkcz on freenode if needed.

Comment 3 Oleg Nesterov 2011-09-01 16:17:36 UTC
(In reply to comment #2)
>
> yum install fedora-packager
> fedpkg co -a kernel

Yes, thanks.

Damn! it was me. I forgot that I reintroduced this hook for utrace,
but apparently I broke s390.

Will send the patch today...

I am stupid.

Comment 4 Oleg Nesterov 2011-09-01 18:14:47 UTC
[PATCH F-16] bz735118: utrace: s390: fix the compile problem with traps.c
http://lists.fedoraproject.org/pipermail/kernel/2011-September/003348.html

Comment 5 Dave Jones 2011-09-02 15:25:56 UTC
it's merged in git since yesterday. will be in the next build.

Comment 6 Fedora Update System 2011-09-09 15:43:16 UTC
kernel-3.1.0-0.rc5.git0.0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc5.git0.0.fc16

Comment 7 Fedora Update System 2011-09-12 03:42:14 UTC
kernel-3.1.0-0.rc5.git0.0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.